output "nodes_iam_role_arn" {
  description = "IAM role arn of the nodes"
  value       = aws_iam_role.node.arn
}

output "cluster_iam_role_arn" {
  description = "IAM role arn of the nodes"
  value       = aws_iam_role.cluster.arn
}

output "cluster_sg_id" {
  description = "Security group used within the cluster"
  value       = aws_security_group.cluster.id
}

output "cluster_name" {
  description = "The name of the cluster"
  value       = aws_eks_cluster.cluster.id
  depends_on  = [null_resource.wait_for_cluster]
}
